Versione API Graph

Instagram Business Asset Assigned Users

Lettura

Get a list of business users and their permissions tasks for this Instagram Business Asset

Esempio

Graph API Explorer
GET /v26.0/{instagram-business-asset-id}/assigned_users HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}/assigned_users',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}/assigned_users",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}/assigned_users",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}/assigned_users"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Se desideri scoprire come usare l'API Graph, leggi la nostra Guida per l'utilizzo dell'API Graph.

Parametri

ParametroDescrizione
business
numeric string

business

Obbligatorio

Campi

La lettura da questo segmento fornirà un risultato formattato JSON:

{ "data": [], "paging": {} }

data

Una lista di nodi AssignedUser.

I campi seguenti verranno aggiunti a ogni nodo restituito:

CampoDescrizione
tasks
list<string>

tasks

paging

Per ulteriori dettagli sulla paginazione, consulta la Guida su API Graph.

Error Codes

ErroreDescrizione
100Invalid parameter

Creazione

Non puoi eseguire questa operazione in questo endpoint.

Aggiornamento

Puoi aggiornare an AssignedUser effettuando una richiesta POST a /{instagram_business_asset_id}/assigned_users.

Parametri

ParametroDescrizione
tasks
array<enum {CONTENT, MESSAGES, COMMUNITY_ACTIVITY, ADVERTISE, ANALYZE}>

Instagram Business Asset tasks to assign to user

user
UID

Business user

Obbligatorio

Tipo di ricavo

Questo endopoint supporta read-after-write e leggerà il nodo in cui hai effettuato una richiesta POST.
Struct {
success: bool,
}

Error Codes

ErroreDescrizione
100Invalid parameter

Eliminazione

You can dissociate an AssignedUser from an InstagramBusinessAsset by making a DELETE request to /{instagram_business_asset_id}/assigned_users.

Parametri

ParametroDescrizione
user
UID

user

Obbligatorio

Tipo di ricavo

Struct {
success: bool,
}